Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.XFAPage Class Reference
Inheritance diagram for FoxitPDFSDKPython3.XFAPage:

## Public Member Functions
def | XFAPage (other)
| Constructor, with another XFA page object. More...
def | GetDisplayMatrix (left, top, width, height, rotate)
| Get the display matrix, from PDF coordinate system to targeted device coordinate system. More...
def | GetFirstWidget ()
| Get the first XFA widget in current tab order. More...
def | GetHeight ()
| Get the height of the XFA page. More...
def | GetIndex ()
| Get index of the XFA page. More...
def | GetLastWidget ()
| Get the last XFA widget in current tab order. More...
def | GetNextWidget (widget)
| Get the next XFA widget of a specified XFA widget in current tab order. More...
def | GetPrevWidget (widget)
| Get the previous XFA widget of a specified XFA widget in current tab order. More...
def | GetWidget (widget_index)
| Get XFA widget by index. More...
def | GetWidgetAtDevicePoint (matrix, device_point, tolerance)
| Get the XFA widget at a specified point, in device coordinate system. More...
def | GetWidgetByFullName (full_name)
| Get the XFA widget which matches the specified full name in current XFA page. More...
def | GetWidgetCount ()
| Get the count of XFA widget. More...
def | GetWidth ()
| Get the width. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

Class XFAPage represents the XFA page which is retrieved from XFA document object.
To render an XFA page, please use function FoxitPDFSDKPython3.Renderer.StartRenderXFAPage .

See also
  FoxitPDFSDKPython3.Renderer

## Constructor & Destructor Documentation

## ◆ XFAPage()

def FoxitPDFSDKPython3.XFAPage.XFAPage | ( |  | other | ) |

Constructor, with another XFA page object.

Parameters

  [in] | other | Another XFA page object.

## Member Function Documentation

## ◆ GetDisplayMatrix()

def FoxitPDFSDKPython3.XFAPage.GetDisplayMatrix | ( |  | left,
|  |  | top,
|  |  | width,
|  |  | height,
|  |  | rotate
| ) |  |

Get the display matrix, from PDF coordinate system to targeted device coordinate system.

Parameters

  [in] | left | Left position of the transformation area in device coordinate system, commonly in pixels.
  [in] | top | Top position of the transformation area in device coordinate system, commonly in pixels.
  [in] | width | Width of the transformation area in device coordinate system, commonly in pixels.
  [in] | height | Height of the transformation area in device coordinate system, commonly in pixels.
  [in] | rotate | Rotation value. Please refer to values starting from FoxitPDFSDKPython3.e_Rotation0 and this should be one of these values.

Returns
  A Matrix object that receives the display matrix used for current XFA page. If there is any error, a Matrix with all value 0 will be returned.

## ◆ GetFirstWidget()

def FoxitPDFSDKPython3.XFAPage.GetFirstWidget | ( |  | ) |

Get the first XFA widget in current tab order.

Returns
  The first XFA widget. If the return value of function FoxitPDFSDKPython3.XFAWidget.IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetHeight()

def FoxitPDFSDKPython3.XFAPage.GetHeight | ( |  | ) |

Get the height of the XFA page.

Returns
  A float value that receives the height of current XFA page.

## ◆ GetIndex()

def FoxitPDFSDKPython3.XFAPage.GetIndex | ( |  | ) |

Get index of the XFA page.

Returns
  The index of XFA page.

## ◆ GetLastWidget()

def FoxitPDFSDKPython3.XFAPage.GetLastWidget | ( |  | ) |

Get the last XFA widget in current tab order.

Returns
  The last XFA widget. If the return value of function FoxitPDFSDKPython3.XFAWidget.IsEmpty for the returned XFA widget object is true, that means there is no XFA widget.

## ◆ GetNextWidget()

def FoxitPDFSDKPython3.XFAPage.GetNextWidget | ( |  | widget | ) |

Get the next XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The next XFA widget. If the return value of function FoxitPDFSDKPython3.XFAWidget.IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the last XFA widget in current tab order.

## ◆ GetPrevWidget()

def FoxitPDFSDKPython3.XFAPage.GetPrevWidget | ( |  | widget | ) |

Get the previous XFA widget of a specified XFA widget in current tab order.

Parameters

  [in] | widget | A valid specified XFA widget.

Returns
  The previous XFA widget. If the return value of function FoxitPDFSDKPython3.XFAWidget.IsEmpty for the returned XFA widget object is true, that means the specified XFA widget is the previous XFA widget in current tab order.

## ◆ GetWidget()

def FoxitPDFSDKPython3.XFAPage.GetWidget | ( |  | widget_index | ) |

Get XFA widget by index.

Parameters

  [in] | widget_index | The XFA widget index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.XFAPage.GetWidgetCount .

Returns
  The XFA widget.

## ◆ GetWidgetAtDevicePoint()

def FoxitPDFSDKPython3.XFAPage.GetWidgetAtDevicePoint | ( |  | matrix,
|  |  | device_point,
|  |  | tolerance
| ) |  |

Get the XFA widget at a specified point, in device coordinate system.

Parameters

  [in] | matrix | The transformation matrix. Usually this is returned by function FoxitPDFSDKPython3.XFAPage.GetDisplayMatrix .
  [in] | device_point | A point in device coordinate system.
  [in] | tolerance | Tolerance value. Valid range: 0.0f to 30.0f.

Returns
  An XFA Widget object.

## ◆ GetWidgetByFullName()

def FoxitPDFSDKPython3.XFAPage.GetWidgetByFullName | ( |  | full_name | ) |

Get the XFA widget which matches the specified full name in current XFA page.

Parameters

  [in] | full_name | An XFA widget's full name. It should not be an empty string. XFA widget's full name can be retrieved by function FoxitPDFSDKPython3.XFAWidget.GetName with type FoxitPDFSDKPython3.XFAWidget.e_WidgetNameTypeFullName in previous process.

Returns
  An XFA Widget object.

## ◆ GetWidgetCount()

def FoxitPDFSDKPython3.XFAPage.GetWidgetCount | ( |  | ) |

Get the count of XFA widget.

Returns
  The count of XFA widget.

## ◆ GetWidth()

def FoxitPDFSDKPython3.XFAPage.GetWidth | ( |  | ) |

Get the width.

Returns
  A float value that receives the width of current XFA page.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.XFAPage.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.